Bug 207633 - gaim-otr abi mismatch for gaim-2.0.0 beta3
gaim-otr abi mismatch for gaim-2.0.0 beta3
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: gaim-otr (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Paul Wouters
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-09-21 23:02 EDT by jared mauch
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version: 3.0.1-0.1.20060921cvs
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-22 11:23:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description jared mauch 2006-09-21 23:02:13 EDT
Description of problem:

FC6Test3 includes gaim-2.0.0 beta3, which requires the GAIM ABI for plugins to
be the 2.x series not the 1.x series.  The gaim-otr package when installed lists
this ABI error in the plugins when attempting to enable OTR under the details.

Version-Release number of selected component (if applicable):
punk:~> rpm -q gaim gaim-otr
gaim-2.0.0-0.11.beta3.fc6
gaim-otr-3.0.0-2.fc6




How reproducible:

Always,

yum install gaim-otr
gaim&
tools->plugins->Off-The-Record Messaging 3.0.0 -> Plugin Details


Expected results:

Ability to enable plugin :)

Additional info:
Comment 1 Paul Wouters 2006-09-22 00:17:11 EDT
This should have been fixed earlier today when i built
gaim-otr-3.0.1-0.5.20060921cvs, which has not yet made it to all the mirrors.
Please let me know if the problem remains when using this version.
Comment 2 jared mauch 2006-09-22 10:39:59 EDT
do you have a url to the package built for i386?  it's not "there" yet, and i'll
give it a shot.
Comment 3 Paul Wouters 2006-09-22 10:55:19 EDT
I don't see it on the mirrors yet, and i don't have an FC6 system myself. So
I've put the src.rpm up at:
ftp://ftp.xelerance.com/mirror/gaim-otr-3.0.0-0.5.20060921cvs.fc6.src.rpm
Comment 4 jared mauch 2006-09-22 11:09:45 EDT
This solves my problem.

I build a copy of the package, it's here:
http://puck.nether.net/~jared/gaim-otr-3.0.0-0.5.20060921cvs.i386.rpm

Your version numbering did seem to slightly conflict with what was provided: 

package gaim-otr-3.0.0-2.fc6 (which is newer than
gaim-otr-3.0.0-0.5.20060921cvs) is already installed

so i couldn't just rpm -Fvh it..
Comment 5 Paul Wouters 2006-09-22 11:23:13 EDT
That was an error on my end. The Changelog entry contained the proper version
gaim-otr-3.0.1-0.5.20060921cvs, but the actual version did not. I just tagged a
new version as gaim-otr-3.0.1-0.1.20060921cvs that should fix that.
Perhaps that is also the reason the mirrors did not pick it up.

Thanks for testing. I'll close this bug now.

Note You need to log in before you can comment on or make changes to this bug.